package com.ydl.auth.service;

import com.alibaba.dubbo.config.spring.context.annotation.EnableDubbo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@Slf4j
@ComponentScan({ "com.ydl" })
@EnableScheduling
@EnableDubbo
public class YdlAuthServiceApplication {

	public static void main(String[] args) {
		try {
			SpringApplication.run(YdlAuthServiceApplication.class, args);
		} catch (Throwable e) {
			log.error("",e);
		}
	}

}