package com.ydl.auth;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@Slf4j
@ComponentScan({ "com.ydl" })
@EnableScheduling
public class YdlAuthApplication {

	public static void main(String[] args) {
		try {
			SpringApplication.run(YdlAuthApplication.class, args);
		} catch (Throwable e) {
			log.error("",e);
		}
	}

}