package com.ydl.auth.service.biz.impl;

import com.ydl.auth.service.biz.AppAuthBiz;
import com.ydl.auth.service.dao.AppAuthMapper;
import com.ydl.auth.po.AppAuth;
import org.springframework.stereotype.Service;
import tk.mybatis.mapper.entity.Example;

import javax.annotation.Resource;

@Service
public class AppAuthBizImpl implements AppAuthBiz {

	@Resource
	private AppAuthMapper mapper;
	@Override
	public String getSecretByAppKey(String appKey) {
		Example example = new Example(AppAuth.class);

		example.createCriteria().andEqualTo("appKey",appKey);
		AppAuth appAuth = mapper.selectOneByExample(example);

		return appAuth==null?"":appAuth.getAppSecret();
	}
}
